# class Sass::Tree::EachNode

A dynamic node representing a Sass `@each` loop.

@see Sass::Tree

### Attributes

list[RW]

The parse tree for the list. @return [Script::Tree::Node]

vars[R]

The names of the loop variables. @return [Array<String>]

### Public Class Methods

new(vars, list) click to toggle source

@param vars [Array<String>] The names of the loop variables @param list [Script::Tree::Node] The parse tree for the list

Calls superclass method

    # File lib/sass/tree/each_node.rb, line 18
    def initialize(vars, list)
      @vars = vars
      @list = list
      super()
    end